yast2: error while loading shared libraries

mausi

Registered User
Hallo!

Nach dem letzten Update mit Yast2 online Update bekomme ich nun folgendene Fehlermeldung beim Aufruf von yast:

/usr/lib/YaST2/bin/y2base: error while loading shared libraries: /usr/lib/liby2pm.so.2: undefined symbol: _ZN6VendorC1ERKSs

Ein Aufruf von rpm -Va ergab nichts außer:

missing /lib/ld-uClibc.so.0

Weiß jemand dazu mehr? Das ist nämlich super dämlich :/
Das einzige was ich gemacht hatte, war, das ich die alten Pakete laut Yast entfernt habe. Ich meine, das danach ein Aufruf noch möglich war. Es fehlt ja auch nichts bzw. keine Yast-Komponente!

mausi
 
Die beste wäre wenn du dir das passende RPM für liby2pm suchst und dieses mit Force neuinstallierst bzw die Restlichen Abhängigkeiten mit Auflöst.
 
mausi said:
... super. Das wars. MERCI!

Hallo Mausi,
ich hab dasselbe Problem. Welches Paket hat Dein Problem gelöst und wie hast Du es dann installiert?

ciao
rosch
 
... also das hat der he-support eingegeben - habe ich aus der bash-history. danach lief alles wieder!

ls
cat /etc/issue
wget ftp://ftp.hosteurope.de/pub/linux/suse/i386/update/9.1/rpm/i586/liby2util-2.9.27-0.2.3.i586.rpm
rpm -Uvh liby2util-2.9.27-0.2.3.i586.rpm --oldversion
rpm -Uvh liby2util-2.9.27-0.2.3.i586.rpm --oldpackage
rm liby2util-2.9.27-0.2.3.i586.rpm
wget ftp://ftp.hosteurope.de/pub/linux/suse/i386/update/9.1/rpm/i586/liby2util-2.9.25-0.3.i586.rpm
rpm -Uvh --oldpackage liby2util-2.9.25-0.3.i586.rpm
yast2 online_update
exit
 
Back
Top